summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--libraries/perl-html-parser/perl-html-parser.SlackBuild39
-rw-r--r--libraries/perl-html-parser/perl-html-parser.info8
2 files changed, 20 insertions, 27 deletions
diff --git a/libraries/perl-html-parser/perl-html-parser.SlackBuild b/libraries/perl-html-parser/perl-html-parser.SlackBuild
index a30d815db4..13ac11984f 100644
--- a/libraries/perl-html-parser/perl-html-parser.SlackBuild
+++ b/libraries/perl-html-parser/perl-html-parser.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for perl-html-parser
-# Copyright 2008-2009 LukenShiro <lukenshiro@ngi.it>
+# Copyright 2008-2010 LukenShiro <lukenshiro@ngi.it>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,16 +23,14 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=perl-html-parser
-VERSION=${VERSION:-3.64}
+VERSION=${VERSION:-3.65}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -52,9 +50,11 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
fi
-set -e # Exit on most errors
+set -e # Exit on most errors
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -69,32 +69,25 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-echo "y" | CFLAGS="$SLKCFLAGS" perl Makefile.PL INSTALLDIRS=vendor
+echo "y" | CFLAGS="$SLKCFLAGS" perl Makefile.PL \
+ INSTALLDIRS=vendor INSTALLVENDORMAN3DIR=/usr/man/man3
make
+make test
make install DESTDIR=$PKG
-#Move man-pages to appropriate place
-mv $PKG/usr/share/man $PKG/usr/
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# compress man pages
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
# Remove perlocal.pod, .packlist and .bs from $PKG
-( for i in perllocal.pod .packlist *.bs; do
- find $PKG -name "$i" -exec rm -rf {} \;
- done
-)
+find $PKG -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
# Remove empty directories
-find $PKG -depth -type d -empty -exec rm -rf {} \;
-
-# strip libraries
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
-# compress man pages
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+find $PKG -depth -type d -empty -delete || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/libraries/perl-html-parser/perl-html-parser.info b/libraries/perl-html-parser/perl-html-parser.info
index 0ea899f795..2c73490f9a 100644
--- a/libraries/perl-html-parser/perl-html-parser.info
+++ b/libraries/perl-html-parser/perl-html-parser.info
@@ -1,10 +1,10 @@
PRGNAM="perl-html-parser"
-VERSION="3.64"
+VERSION="3.65"
HOMEPAGE="http://search.cpan.org/dist/HTML-Parser/"
-DOWNLOAD="http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/HTML-Parser-3.64.tar.gz"
-MD5SUM="26ceb6357e855b9e7aad5a5fd66d493e"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/HTML-Parser-3.65.tar.gz"
+MD5SUM="cbc220e201b427bfcf231d95bee3c7ca"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="LukenShiro"
EMAIL="lukenshiro@ngi.it"
-APPROVED="rworkman"
+APPROVED="Erik Hanson"